curl --request GET \
--url https://live.copilot.fabric.inc/api-category/v1/category/item-attribute \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://live.copilot.fabric.inc/api-category/v1/category/item-attribute"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://live.copilot.fabric.inc/api-category/v1/category/item-attribute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalSize": 100,
"pageSize": 10,
"pages": 10,
"itemAttributes": [
{
"id": "61701259125b7225cbfb21b9",
"mapping": "image",
"name": "picture",
"type": "TEXT",
"required": true
}
]
}{
"code": 400,
"message": "Client error"
}{
"code": 500,
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Get assigned item attributes
Gets all the item attributes for the specified category.
Note: Items may also inherit item attributes from parent categories.
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Query Parameters
A 24-character system-generated category ID. id and nodeId are the two identifiers of a category.
Note: If id is specified, status must be specified as well.
Numeric category ID. id and nodeId are the two identifiers of a category.
Note: If nodeId is specified, status must be specified as well.
Status of item attributes. Assigned indicates item attributes are already assigned to categories and unassigned indicates otherwise. Applicable only when id or nodeId is specified.
ASSIGNED, UNASSIGNED Page number to be retrieved. Applicable only in a paginated response and always paired with size.
Number of records per page. Applicable only in a paginated response and always paired with page.
Was this page helpful?
